local luaCutscenesUtils = require("#Celeste.Mod.MaxHelpingHand.Module.LuaCutscenesUtils")


function onBegin()

  if getFlag("vazou6") then

    disableMovement()

    setFlag("comtulipa")
    coroutine.yield(luaCutscenesUtils.SayWithDifferentFont("OMORI_GAME", "CelesteBrasil_wanderbirthdaymap_tulipa"))

    setFlag("falou6", false)
    setFlag("vazou6", false)

  end

end

function onEnd(wasSkipped)
  if wasSkipped then
    setFlag("comtulipa")
    setFlag("falou6", false)
    setFlag("vazou6", false)
    enableMovement()
  end
end